/*CSS for Shoes Page*/
*{
	color: black;
	font-family: arial;
}

/*details of shoe*/
.details li{
	color: black;
	text-align: left;
	letter-spacing: 0px;
}


/*css for all the shoe description*/
/*dropdown list for size*/
#size{
  height: 40px;
  width: 60px;
  text-align: center;
	margin-left: 10px;
	background-color: #cfd7d9;
	padding: 4px 5px;/*3px=bottom + top, 4px= right + left*/
	cursor: pointer;
	border-radius: 2px;
	color: black;
	font-size: 18px;
}

/*Size chart*/
#chart a{
	text-decoration: none;  
	font-size:20px; 
	font-weight: bold;
	font-size:15px; 
	color:black;
}

ul li #chart a:hover{
	text-decoration: underline;

}

/*for pop up image of size chart*/
#myImg {
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
}

#myImg:hover {opacity: 0.7;}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (image) */
.modal-content {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
}

/* Caption of Modal Image */
#caption {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
  text-align: center;
  color: #ccc;
  padding: 10px 0;
  height: 150px;
}

/* Add Animation */
.modal-content, #caption {  
  -webkit-animation-name: zoom;
  -webkit-animation-duration: 0.6s;
  animation-name: zoom;
  animation-duration: 0.6s;
}

@-webkit-keyframes zoom {
  from {-webkit-transform:scale(0)} 
  to {-webkit-transform:scale(1)}
}

@keyframes zoom {
  from {transform:scale(0)} 
  to {transform:scale(1)}
}

/* The Close Button */
.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px){
  .modal-content {
    width: 100%;
  }
}
/*end of css for pop up image of size chart*/

/*button add to cart in details of shoes #cfd7d9*/
#addToCart a input{
    color: white;
  	width: 180px;
    height: 65px;
  	font-size: 20px;
  	letter-spacing: 2px;
  	border-radius: 4px;
  	border: 2px solid darkgrey;/*width, style, color*/
  	background-color: black;
  	text-align: center;
  	text-decoration: none;
    display: inline-block;
  	cursor: pointer;
    margin-top: 20px;
    margin-bottom: 19px;
  	-webkit-transition-duration: 0.4s; /* Safari */
  	transition-duration: 0.4s;
  }

ul li #addToCart a:hover {
  box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19);
}

/*details of the description*/
#details {
	list-style: none;
}
/* On screens that are 992px wide or less, go from four columns to two columns */
@media(max-width: 992px) {
  .col {
    flex: 50%;
  }
}

/* On screens that are 600px wide or less, make the columns stack on top of each other instead of next to each other */
@media(max-width: 600px) {
  .row {
    flex-direction: column;
  }
}

/* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
@media(max-width: 600px) {
  .col {
    width: 100%;
  }
}

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 375px) 
  and (max-device-width: 667px) 
  and (-webkit-min-device-pixel-ratio: 2) { 
    .col {
    flex: 50%;
  }
  .row {
    flex-direction: column;
  }

  .col {
    width: 100%;
  }

}

/*footer*/

#footer{
	margin: 50px 20px;
}
#footer a{
	text-decoration: none;
	color: whitesmoke;
}
#footer a:hover{
	text-decoration: underline;
}
#footer img{
	margin-right: 10px;
	margin-bottom: 5px;
}
